# P03 Kaycee's Mod
## Version 4.0: Expansion Pack 2, Achievements, and Stickers!

**Join our Discord!! [https://discord.gg/PxCHsKtfGc](https://discord.gg/PxCHsKtfGc)**

**HYPE ALERT!! NEW TRAILER ONLINE!!**

[![GET HYPE TRAILER!](http://i3.ytimg.com/vi/rN8mf_rjX1o/hqdefault.jpg)](https://www.youtube.com/watch?v=rN8mf_rjX1o)

Are you tired of Leshy? Mildly disturbed by Grimora? Intimidated by Magnificus? This is the mod for you! 

Installing this mod will give you the option to play against either Leshy or P03 when you start a new run. Selecting Leshy will give you the standard game you're used to, but selecting P03 will send you to the land of Botopia, where you will draft robotic cards (including all new cards created just for this mod), explore procedurally generated maps, fight off bounty hunters, and purchase upgrades with your hard-earned robobucks. And at the end of it all, P03 is waiting for you in an all-new boss fight.

## I'm new here - how do I install this?

[Follow this link](https://www.youtube.com/watch?v=ASOJ4idMRxk) to an easy-to-follow guide for how to get started with Inscryption modding.

## What's new in version 4.0?

- **Expansion Pack 2**: With 50 new cards and all-new mechanics!
- **Achievements**: That happy little ding and extra rush of dopamine when you do something extra special.
- **Stickers**: Unlockable cosmetics to customize your cards and show off your swag. If you want some *extra* swag, I **highly** recommend installing the [High Res Mod](https://inscryption.thunderstore.io/package/overfall/InscryptionHighRes/) to really make those stickers pop. 
- **Modified Battles**: P03 got bored - battles sometimes have extra modifiers on them.
- **New Items**: The UFO abducts a card from the board and puts it in your hand. And the Laser Rifle upgrades any card by giving it the Sniper ability for the rest of the battle.
- **Faster Navigation**: You can now fast travel to any room that you've visited before by clicking it on the minimap. And rather than clicking arrows, you can also travel through the map by using the IJKL keys on your keyboard like arrow keys.

## How does this mod work?

When you install this mod, you will see two 'new run' options on the opening screen for Kaycee's Mod. You can either start a New Leshy Run (the default KCM experience) or a new P03 run (this mod's experience).

P03 runs differ from Leshy runs in a few significant ways:

1) You have more choice over how the maps play out:
    - You can fight through the four zones in any order you choose. 
    - You are not forced to use any map nodes that you don't want to. (Pro tip: you still need to add cards to your deck - matches last longer than you might be used to).
2) Most of your choices are based on how you manage your currency. You will find some currency on the map, and you earn more of it by 'overkilling' P03 during battles, by killing bounty hunters, and by completing quests given to you by NPCs on the map. (Pro tip: you should deliberately overkill as much as possible if you want to build a strong of a deck as possible). Every upgrade you select will cost you robobucks. The only thing that's free is adding new cards to your deck.

There are also some changes from the way P03's gameplay worked the first time through:

1) Bosses have been updated. G0lly and the Archivist are the most significantly different; both of them have completely reworked second phases. 
2) There is a final boss fight against P03. He has...some thoughts about what you're doing.
3) Some events work differently (see below).
4) There are now NPCs that will give you quests with rewards for your run.
5) And there...might be some other hidden secrets as well.

The runs are still similar to Leshy in significant ways:

1) There are a number of starter decks that you can pick from to help guide your selections through the rest of the game.
2) Starter decks have four cards and one "draft token," which allows you to choose a card from a draft node event on the first map screen.
3) You must complete four battles against enemies before facing the boss. Once you beat the boss, you're done with that zone and can't go back.

### Events

Some events play the same in this mod as they did the first time you played through Botopia. However, some are different. Here's what you need to know before spending your robobucks on an event:

- **Build-a-Card**: This is mostly the same as before, but the ability pool has been significantly modified. You can also enter whatever name you want for the card, a power you should *definitely* use wisely.
- **Gemify Cards**: This behaves the same as before.
- **Items**: You can buy an item like you would in Act 1. However, you can only get one item from each shop.
- **Overclock**: This is significantly different. As before, the overclocked card gets +1 attack. However, when an overclocked card dies, it is not completely removed from your deck. It is replaced with an Exeskeleton with the same set of abilities as the original card. So if you overclock a Sniper and it dies, you will get an Exeskeleton with the Sniper sigil.
- **Recycle**: Instead of getting robobucks back for your recycled card, you get a draft token. Normal cards get you a standard Token, with all of the card's abilities imprinted on the token. Those abilities will transfer to the card you draft with it. Rare cards get you a Rare token, which can be exchanged for another rare card.
- **Transformer**: There are now more options to select for the beast transformations, some which comes with additional bonuses and drawbacks. Pay close attention to the energy cost and health associated!

### NPCs

You will encounter NPCs scattered throughout each map. They will give you optional side quests that will grant special rewards upon completion. Often these rewards will be extra money, but sometimes a side quest might lead to something a bit more exciting.

### Achievements and Stickers

Version 4.0 comes with support for achievements! You can view the list of achievements under the "Unlocks" screen in Kaycee's Mod. Each achievement you unlock will also unlock a cosmetic sticker that you can apply to your cards during the run to show off just how good you are at this game (or just because you think SteamBot looks really dapper with a top hat). Stickers can be applied to your cards at any time on the deck review screen (press "W" while at the main map).

### Speedrunning - Quality of Life Improvements

Version 4.0 adds some significant quality of life improvements to help you play the mod a little bit faster. You can navigate the map using the IJKL keys on your keyboard (think WASD movement, but with different keys because the game already uses WASD for other purposes). You an also click any room on the minimap that you've already visited to travel directly back there, saving you the time required to walk back across the map.

## Developer Guide

If you want to build your own mods that add content to P03 runs, please check out the [P03 Developer's Guide](https://github.com/Cosmiscient/P03KayceeMod-Main/wiki). You'll find instructions on how to add cards, challenges, encounters, quests, and more!

## Credits

While the full credits will play in-game when you win for the first time, I have to thank everyone that made this possible here as well:

**Principal Artist**: Makako

**Other Contributing Artists**
- Froenzi
- Answearing Machine
- Nevernamed
- Anne Bean
- Inverse Fireman
- Amy
- Bitty45
- Ian5
- Darson
- VG Civilian
- Catboy Stinkbug

**Card Design, Balance, and Playtesting**
- Inverse Fireman
- Ian5
- Mr Etc
- Catboy Stinkbug
- TheGreenDigi
- Bitty45
- Jury
- Eye Fly
- Froenzi
- Atrum (Lin)
- Sire
- Sylvie
- Tresh
- Keks307

**Writing Contributions**
- Mr. Etc

**Kickass Final Boss Music**
- Purist, the Specter

## Requirements

- [BepInEx](https://inscryption.thunderstore.io/package/BepInEx/BepInExPack_Inscryption/)
- [API](https://inscryption.thunderstore.io/package/API_dev/API/)
- [Achievements](https://inscryption.thunderstore.io/package/Infiniscryption/Achievements/)
- [Spells](https://inscryption.thunderstore.io/package/WhistleWind/New_Spell_Card_Toolkit/)

And these aren't required, but **highly** recommended:

- [High Res Mod](https://inscryption.thunderstore.io/package/overfall/InscryptionHighRes/)
- [Pack Manager](https://inscryption.thunderstore.io/package/Infiniscryption/Pack_Management_API/)

## Changelog 

<details>
<summary>Changelog</summary>

4.2.2
- Battle modifiers (latch battles, conveyor battles, etc) now appear less frequently and with lowered intensity.
- One of the empty backpack challenges is replaced with the "Missing Remote" challenge. This means that a Scarlet Skull run will still start with only one item (the Amplification Coil) but can now buy up to a maximum of two items. Scarlet Skull is *still* bonkers difficult.
- Fixed an animation issue with certain cards in the finale.
- Fixed a defect where quest givers would not remove cards from your deck when their purpose was complete.
- Tweaked the rewards for the Power Up The Tower quest.
- Fixed a defect that allowed you to duplicate the Hunter Brain.
- Updated the textures for slots on fire.

4.2.1
- A quick patch to fix the stats on one of the cards in the final boss.

4.2.0
- The final phase of the final boss has been modified to be a little bit harder.
- Death Latch is no longer considered a negative ability.
- The Electric sigil now rounds up instead of down.
- SwapBot actually works now. But I've said that before. Many times.
- Missile launchers fire faster now.

4.1.2
- In the last patch, I neglected to update the NPC dialogue to account for the change to quests. This is now fixed.
- \[redacted\] has lost its negative ability.
- Made a couple of small tweaks to how \[redacted\] are generated in the \[redacted\] region.
- Fixed an issue where paying to reroll card choices for \[redacted\] resulted in the same choices.
- Fixed a bug where abducting a card with a UFO did not cause gems to update.
- Fixed a bug where sometimes the Green Mox Buff sigil softlocked the game.
- Fixed a bug with the reward for the Bounty Target quest.
- Fixed a bug (hopefully) where the Mr:Clock sigil would softlock the game if the card died or was otherwise removed at an unexpected time.
- Fixed a bug where Conveyor Battles (and slot modifications in general) did not properly clean up when exiting to menu during battle.
- Fixed a bug where Conveyor Battles were not properly in the randomly selected battle modification pool.
- Fixed a bug where the missile launcher sigil breaks Build-a-Bot.
- Took another stab at making SwapBot actually work right.
- Added missing pixel art for Oil Jerry.

4.1.1
- If an NPC would give you an item as a quest reward, and your backpack is full, the NPC will now stick around until you have an empty slot to take the reward.
- Quests that modified battles for 5 games now only require 3.
- Fixed a bug where sometimes the Detonator ability would softlock the game in rare situations.
- Fixed a bug where the "set slot on fire" Canvas rule would softlock the game in some situations.
- Fixed a bug where the random Canvas rule challenge would break the Canvas boss.
- Fixed a bug where a random Canvas rule could be selected a second time during the Canvas boss.
- Fixed a bug where missiles don't cause Swapbot to swap under certain circumstances.

4.1.0
- A number of bugs that had their roots in the API have been fixed. **Make sure you upgrade to the latest version of the API when installing this!!**
- Updated the terrain (starting card conditions) for a number of battles. Also added two new terrain cards; one for the Gem region and one for the Undead region.
- Added three new effects to the Canvas rule set.
- Overhauled the encounters in the Resplendent Bastion zone to be slightly more intelligent.
- Fixed an issue relating to the interaction between Seedbot and the Fecundity sigil.
- In Latch Battles, the latched ability is now visible in the queue. This makes it easier to plan around your opponent's cards and makes their "on resolve on board" effects actually happen.
- Fixed some broken stuff with Build-A-Bot that was making it better than it was supposed to be. Also fixed some bugs with the Build-A-Bot user interface.
- Fixed a bug with the Photographer boss and Ability Conduits.
- Fixed a bug with Explodenate breaking under certain conditions.
- Fixed (hopefully for good) an issue where sometimes nodes on the map appeared on top of each other.
- Updated the dialogue database to consistently apply punctuation

4.0.4
- Cards with flying will now be able to fly over Holo Traps during Holo Trap Battles.
- Holo Trap Battles now deal 10 damage when the trap is sprung instead of outright killing it. This means you can survive them with a shield (e.g., shield generator) or tank it if you can somehow get enough health.
- Fixed a defect with the burning slots that I accidentally introduced with the last patch.
- Updated the texture of the Laser Rifle item.
- Fixed an issue that could arise with some bosses where certain scene effects wouldn't reset after battle.
- Made a small tweak to the boss scene effects for the final boss.

4.0.3
- Fire starting animations are faster across the board.
- Fire now triggers the Swapper sigil, and I made another tweak to the Swapper sigil to make it behave a little better. With these changes, the Swapper starter deck is also changed.
- One of the hidden quests was misbehaving - it should be fixed now.
- G0ph3r, P00dl3, and Hellfire Commando have new portraits.
- Flamecharmer is now 0/3 instead of 0/4, and gives all cards on your side of the board Made of Stone instead of just itself.
- Overhauled some of the trigger management code to prevent some enumeration changed bugs from happening.
- KNOWN ISSUE: There are problems with the latest version of the API and the way that shields behave. We are working on those as fast as we can.

4.0.2
- Some small tweaks to the way data is saved. This should hopefully make it safer to quit and reload in the middle of game sequences.
- Tweak to the battle modification system to prevent occasional softlocks when battles tried to clean up.

4.0.1
- OP Bot: Rolling Overclock or Skeleclock now adds +1 to attack. These abilities also now behave properly and actually remove the card from your deck.
- Latch Battles: Abilities that are not marked as usable by the opponent will no longer be assigned.
- Swapper Sigil: This has been re-implemented and should behave as expected.
- Keyboard Movement: Fixed some bugs related to keyboard movement.
- Updated the power level of a number of sigils. This was a change I meant to do earlier and just forgot.

4.0.0
- Huge new update!
- Expansion Pack 2 is now complete - with 50 (!!) new cards!
- The save system has been re-done. You might have some work to do.
- There are now achievements!
- And STICKERS! Completing achievements unlocks stickers that can be used to customize your cards with each run.
- Also a ton of bug fixes and balance changes.

3.1.6
- Fixed some defects with the \[redacted\] boss.

3.1.5
- Fixed a defect where Gamblobot's ability did not work
- Fixed a defect where Copypasta would get double impact from Build-A-Card cards
- Fixed a defect where L33pb0t side deck cards still had the null conduit ability
- Fixed a defect where effects could cause the scales to change after they had already tipped all the way to one side.
- Added a number of new abilities to the Build-A-Card pool
- Curve Hopper now costs 3 energy
- The text description for Summon Familiar is more concise
- Turbo Vessels now flip their portraits when switching direction
- Zip Bomb is now a neutral rare instead of an Undead rare
- Box Bot now costs 1 energy instead of 2
- The following battles have been turned down slightly: Bombs & Shields (Neutral), Bat Transformers (Foul Backwater), Gem Exploder (Gaudy Gem Land), Big Gem Ripper (Gaudy Gem Land), Spy Planes (Neutral)
- The following battles have been turned up slightly: Snake Transformers (Foul Backwater), Conduit Protectors (Resplendent Bastion), Shield Latchers (Filthy Corpse World), Final Boss

3.1.4
- Fixed compatibility with the Side Deck Selector mod

3.1.3
- Fixed softlock in phase 2 of G0lly
- Properly fixed the issue with the transformer event
- Fixed issue with the Seed Sprinter ability
- Fixed a defect with the map generator that sometimes caused battles to be set to difficulty level zero regardless of map location.
- Statistics count the correct number of bosses
- Trade nodes will no longer be generated in the initial quadrant of a map
- Fixed defect with Phase Through
- Full of Oil sigil now flips on the opponent side
- *Really* fixed \[redacted\] this time. At least, I hope so.
- Added the Electric sigil to the rulebook.
- Reduced coin reward for bosses from 10 to 5.

3.1.2
- All encounters have been reworked again.
- We are now capturing metrics every time you lose a battle. Those metrics are: name of encounter, turn you lost, and difficulty level. All metrics are captured anonymously.
- The Gamblobot sigil has updated art and rulebook text.
- Copypasta has new art.
- Copypasta and Angelbot can now be used by opponents.
- \[redacted\] should no longer throw an error when trying to remove \[redacted\]
- Transformer and Skeleclock should no longer spin out of control.
- Full of Oil will revert the camera view to its previous view instead of to View.Default at the conclusion of the animation.
- Save scumming the Skeleclock event is no longer possible.
- Quitting during the Recycler event no longer breaks the game.
- The Transformer event no longer allows you to set a card's energy cost higher than 6.
- Shovester now costs 1 Energy to activate (down from 2)
- ScrapBot now costs 4 Energy (up from 3)
- R4M's default stats are now 2/1 instead of 1/2.
- Gem Cycler works now. I'm about 66% sure.
- Non Functional Trinkets are slightly stronger.
- The Activated Bounty Hunter Brain is slightly stronger.
- The Gain Gem abilities are now part of the modular pool


3.0.3
- Tokens received from the recycler now have an energy cost based on the number of abilities they gain.
- CellEvolve and CellDeEvolve have proper behaviors for cards that don't have set evolutions.
- Rare cards are now red instead of gold and have portrait colors to match.
- There is now an animation for whenever a quest reward involves cards in your deck (to show you what's actually changed).
- The data cube is now functional during a damage race battle.
- NFTs should now be unique.
- The entire quest system was rewritten and now supports adding custom quests via an API (see included QuestAPI.md file for full documentation)

3.0.2
- Bosses now make you pay double your respawn fee after increasing it
- P03 final boss music volume increased
- Wording corrected on Turbo Vessels challenge
- Fixed bug: projector quad remained active once P03 dialogue started for the lives system explanation

3.0.1
- Eccentric Painter no longer places the canvas boss background behind bosses
- Side Deck Review sequence now updates along with enabled challenges
- Updated icon
- Updated challenge point values
- Fixed bug: l33pbots counted as gems
- Fixed bug: Viper was 3 energy, it was supposed to be 5
- Fixed bug: Boss rares didn’t appear
- Fixed bug: After dying once, players would receive a penalty after interacting with some nodes
- Known bug: When playing with Turbo Vessels enabled only, enemy vessels recieve the Double Sprinter sigil

3.0.0
- New lives system! When you die, you get one freebie. The next death, you’ll have to pay 5 coins to respawn. Next time, 10 coins, and so on.
- New dialogue possibilities on losing a run
- Explosive challenge and conveyor challenge are made neutral challenges and moved to the next page
- New Eccentric Painter challenge
- New Leaping Sidedeck challenge
- New Turbo Vessels challenge
- New Traditional Lives challenge
- New(ish?) Costly Lives challenge
- Tesla Coil item buffed, now provides two additional max energy
- Viper card buffed
- Oil Jerry buffed
- Goranj Vessel nerfed
- Bleene Vessel buffed
- Skeleton Lord buffed
- New Swapper Latcher card
- New art for mirror tentacle
- Fixed an API compatibility issue that made the quest system break with mods that added dialogue (thanks WhistleWind and NeverNamed)

2.0.0
- The NPC Update! Quests! New cards! A new boss maybe?!

1.0.0
- Initial version.
</details>